light-mode-image
Learn
API ReferenceVerifier root CA certificates

Update a verifier root CA certificate

Roles

adminverifier

Analytics Events

CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_STARTCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_FAIL
PUT/v2/presentations/certificates/ca/{certificateId}

Updates an existing verifier root CA certificate.

Analytic events

  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_START
  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_SUCCESS
  • CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

certificateId*string

Unique identifier for the verifier root CA certificate.

Formatuuid

Request Body

application/json

Verifier root CA certificate payload

TypeScript Definitions

Use the request body type in TypeScript.

Request payload for updating a verifier root CA certificate.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/presentations/certificates/ca/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{  "id": "string",  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z"  },  "active": true,  "isManaged": true}

How would you rate this page?